package com.usky.system.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.system.controller.web.page.TableDataInfo;
import com.usky.system.domain.SysLogininfor;
import com.usky.system.service.ISysLogininforService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 系统访问记录
 * 
 * @author ruoyi
 */
@RestController
@RequestMapping("/logininfor")
public class SysLogininforController extends BaseController
{
    @Autowired
    private ISysLogininforService logininforService;


    @GetMapping("/list")
    public ApiResult<TableDataInfo> list(SysLogininfor logininfor)
    {
        startPage();
        List<SysLogininfor> list = logininforService.selectLogininforList(logininfor);
        return ApiResult.success(getDataTable(list));
    }



    @DeleteMapping("/{infoIds}")
    public ApiResult<Void> remove(@PathVariable Long[] infoIds)
    {
        return toAjax(logininforService.deleteLogininforByIds(infoIds));
    }


    @DeleteMapping("/clean")
    public ApiResult<Void> clean()
    {
        logininforService.cleanLogininfor();
        return ApiResult.success();
    }

    @PostMapping
    public ApiResult<Void> add(@RequestBody SysLogininfor logininfor)
    {
        logininforService.insertLogininfor(logininfor);
        return ApiResult.success();
    }
}
