package com.usky.system.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.system.controller.web.page.TableDataInfo;
import com.usky.system.domain.SysOperLog;
import com.usky.system.service.ISysOperLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 操作日志记录
 * 
 * @author ruoyi
 */
@RestController
@RequestMapping("/operlog")
public class SysOperlogController extends BaseController
{
    @Autowired
    private ISysOperLogService operLogService;

    @GetMapping("/list")
    public ApiResult<TableDataInfo> list(SysOperLog operLog)
    {
        startPage();
        List<SysOperLog> list = operLogService.selectOperLogList(operLog);
        return ApiResult.success(getDataTable(list));
    }


    @DeleteMapping("/{operIds}")
    public ApiResult<Void> remove(@PathVariable Long[] operIds)
    {
        return toAjax(operLogService.deleteOperLogByIds(operIds));
    }


    @DeleteMapping("/clean")
    public ApiResult<Void> clean()
    {
        operLogService.cleanOperLog();
        return ApiResult.success();
    }

    @PostMapping
    public ApiResult<Void> add(@RequestBody SysOperLog operLog)
    {
        operLogService.insertOperlog(operLog);
        return ApiResult.success();
    }
}
